Package org.lwjgl.opengl

# Class NVProgram

java.lang.Object
org.lwjgl.opengl.NVProgram

Direct Known Subclasses:
  `NVFragmentProgram`, `NVVertexProgram`

public class NVProgram extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_PROGRAM_ERROR_POSITION_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_PROGRAM_ERROR_STRING_NV`
Accepted by the <name> parameter of GetString:
`static final int`
`GL_PROGRAM_LENGTH_NV`
Accepted by the <pname> parameter of GetProgramivNV:
`static final int`
`GL_PROGRAM_RESIDENT_NV`
Accepted by the <pname> parameter of GetProgramivNV:
`static final int`
`GL_PROGRAM_STRING_NV`
Accepted by the <pname> parameter of GetProgramStringNV:
`static final int`
`GL_PROGRAM_TARGET_NV`
Accepted by the <pname> parameter of GetProgramivNV:

## Constructor Summary

Constructors
Constructor
Description
`NVProgram()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`glAreProgramsResidentNV(IntBuffer programIDs, ByteBuffer programResidences)`
`static void`
`glBindProgramNV(int target, int programID)`
`static void`
`glDeleteProgramsNV(int program)`
Overloads glDeleteProgramsNV.
`static void`
`glDeleteProgramsNV(IntBuffer programs)`
`static int`
`glGenProgramsNV()`
Overloads glGenProgramsNV.
`static void`
`glGenProgramsNV(IntBuffer programs)`
`static int`
`glGetProgramiNV(int programID, int parameterName)`
Overloads glGetProgramivNV.
`static int`
`glGetProgramNV(int programID, int parameterName)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetProgramNV(int programID, int parameterName, IntBuffer params)`
`static String`
`glGetProgramStringNV(int programID, int parameterName)`
Overloads glGetProgramStringNV.
`static void`
`glGetProgramStringNV(int programID, int parameterName, ByteBuffer paramString)`
`static boolean`
`glIsProgramNV(int programID)`
`static void`
`glLoadProgramNV(int target, int programID, CharSequence string)`
Overloads glLoadProgramNV.
`static void`
`glLoadProgramNV(int target, int programID, ByteBuffer string)`
`static void`
`glRequestResidentProgramsNV(int programID)`
Overloads glRequestResidentProgramsNV.
`static void`
`glRequestResidentProgramsNV(IntBuffer programIDs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PROGRAM_TARGET_NV

public static final int GL_PROGRAM_TARGET_NV
Accepted by the <pname> parameter of GetProgramivNV:

See Also:
  - Constant Field Values

### GL_PROGRAM_LENGTH_NV

public static final int GL_PROGRAM_LENGTH_NV
Accepted by the <pname> parameter of GetProgramivNV:

See Also:
  - Constant Field Values

### GL_PROGRAM_RESIDENT_NV

public static final int GL_PROGRAM_RESIDENT_NV
Accepted by the <pname> parameter of GetProgramivNV:

See Also:
  - Constant Field Values

### GL_PROGRAM_STRING_NV

public static final int GL_PROGRAM_STRING_NV
Accepted by the <pname> parameter of GetProgramStringNV:

See Also:
  - Constant Field Values

### GL_PROGRAM_ERROR_POSITION_NV

public static final int GL_PROGRAM_ERROR_POSITION_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PROGRAM_ERROR_STRING_NV

public static final int GL_PROGRAM_ERROR_STRING_NV
Accepted by the <name> parameter of GetString:

See Also:
  - Constant Field Values

## Constructor Details

### NVProgram

public NVProgram()

## Method Details

### glLoadProgramNV

public static void glLoadProgramNV(int target, int programID, ByteBuffer string)

### glLoadProgramNV

public static void glLoadProgramNV(int target, int programID, CharSequence string)
Overloads glLoadProgramNV.

### glBindProgramNV

public static void glBindProgramNV(int target, int programID)

### glDeleteProgramsNV

public static void glDeleteProgramsNV(IntBuffer programs)

### glDeleteProgramsNV

public static void glDeleteProgramsNV(int program)
Overloads glDeleteProgramsNV.

### glGenProgramsNV

public static void glGenProgramsNV(IntBuffer programs)

### glGenProgramsNV

public static int glGenProgramsNV()
Overloads glGenProgramsNV.

### glGetProgramNV

public static void glGetProgramNV(int programID, int parameterName, IntBuffer params)

### glGetProgramNV

@Deprecated public static int glGetProgramNV(int programID, int parameterName)
Deprecated.
Will be removed in 3.0. Use `glGetProgramiNV(int, int)` instead.
Overloads glGetProgramivNV.

### glGetProgramiNV

public static int glGetProgramiNV(int programID, int parameterName)
Overloads glGetProgramivNV.

### glGetProgramStringNV

public static void glGetProgramStringNV(int programID, int parameterName, ByteBuffer paramString)

### glGetProgramStringNV

public static String glGetProgramStringNV(int programID, int parameterName)
Overloads glGetProgramStringNV.

### glIsProgramNV

public static boolean glIsProgramNV(int programID)

### glAreProgramsResidentNV

public static boolean glAreProgramsResidentNV(IntBuffer programIDs, ByteBuffer programResidences)

### glRequestResidentProgramsNV

public static void glRequestResidentProgramsNV(IntBuffer programIDs)

### glRequestResidentProgramsNV

public static void glRequestResidentProgramsNV(int programID)
Overloads glRequestResidentProgramsNV.